Уязвимость BDU:2022-07480

Дата: 23.12.2022. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-07480.

Наименование уязвимости: Уязвимость функции smb2_write (fs/ksmbd/smb2pdu.c) модуля ksmbd ядра операционной системы Linux, позволяющая нарушителю раскрыть защищаемую информацию.

Описание уязвимости: Уязвимость функции smb2_write (fs/ksmbd/smb2pdu.c) модуля ksmbd ядра операционной системы Linux связана с возможностью чтения за границами буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, раскрыть защищаемую информацию
Уязвимое ПО: Операционная система Linux от 5.19 до 5.19.16 включительно | Операционная система Linux от 6.0 до 6.0.9 включительно | Операционная система Linux от 5.15 до 5.18.18 | Операционная система Linux от 5.15 до 5.17 включительно |

Наименование ОС и тип аппаратной платформы: Linux от 515 до 51818 |
Дата выявления: 23.12.2022.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:N/A:N
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,7)

Возможные меры по устранению:
Установка обновлений из доверенных источников.
В связи со сложившейся обстановкой и введенными санкциями против Российской Федерации рекомендуется устанавливать обновления программного обеспечения только после оценки всех сопутствующих рисков.

Компенсирующие меры:
— ограничение доступа к программному средству из общедоступных сетей (Интернет);
— использование средств межсетевого экранирования;
— отключение неиспользуемых учетных записей, а также учетных записей недоверенных пользователей;
— принудительная смена паролей пользователей;
— ограничение удаленного доступа к операционной системе недоверенных пользователей (SSH и проч.);
— ограничение доступа к командной строке для недоверенных пользователей;
— использование антивирусных средств защиты;
— мониторинг действий пользователей.

Использование рекомендаций:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=158a66b245739e15858de42c0ba60fcf3de9b8e6
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.18.18
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2022-47940.

Тип ошибки CWE: CWE-125
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.opennet.ru/opennews/art.shtml?num=58377
https://www.zerodayinitiative.com/advisories/ZDI-22-1691/
https://lore.kernel.org/lkml/20220819153711.816369367@linuxfoundation.org/
https://access.redhat.com/security/cve/cve-2022-47940
https://nvd.nist.gov/vuln/detail/CVE-2022-47940
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=158a66b245739e15858de42c0ba60fcf3de9b8e6
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.18.18

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *